## libthumbnailer 0.1.20-maemo0

=== Makefile ===
#############################################################################
# Makefile for building: projects
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  projects.pro
# Template: subdirs
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile projects.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-tests

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/src/src.pro PREFIX=/usr -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/src/src.pro PREFIX=/usr -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
tests/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) tests/ || $(MKDIR) tests/ 
	cd tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) tests/ || $(MKDIR) tests/ 
	cd tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-tests: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE)
sub-tests-make_default-ordered: tests/$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_default: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_first-ordered: tests/$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) first
sub-tests-make_first: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) first
sub-tests-all-ordered: tests/$(MAKEFILE) sub-src-all-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) all
sub-tests-all: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) all
sub-tests-clean-ordered: tests/$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-clean: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-distclean-ordered: tests/$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-distclean: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-install_subtargets-ordered: tests/$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) install
sub-tests-install_subtargets: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) install
sub-tests-uninstall_subtargets-ordered: tests/$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-tests-uninstall_subtargets: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: projects.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		shared.pri \
		doc/doc.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) PREFIX=/usr -o Makefile projects.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
shared.pri:
doc/doc.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile projects.pro

qmake_all: sub-src-qmake_all sub-tests-qmake_all FORCE

make_default: sub-src-make_default-ordered sub-tests-make_default-ordered FORCE
make_first: sub-src-make_first-ordered sub-tests-make_first-ordered FORCE
all: sub-src-all-ordered sub-tests-all-ordered FORCE
clean: sub-src-clean-ordered sub-tests-clean-ordered FORCE
	-$(DEL_FILE) lib/libthumbnailer*
	-$(DEL_FILE) build-stamp
	-$(DEL_FILE) configure-stamp
	-$(DEL_FILE) artifacts/*.deb
	-$(DEL_FILE) doc/reference/*
	-$(DEL_FILE) doc/man/*
distclean: sub-src-distclean-ordered sub-tests-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
	-$(DEL_FILE) lib/libthumbnailer* build-stamp configure-stamp artifacts/*.deb doc/reference/* doc/man/*
install_subtargets: sub-src-install_subtargets-ordered sub-tests-install_subtargets-ordered FORCE
uninstall_subtargets: sub-src-uninstall_subtargets-ordered sub-tests-uninstall_subtargets-ordered FORCE

doc: FORCE
	(cd doc && VERSION=0.1.20~unreleased LIBRARYNAME=thumbnailer doxygen doxygen.cfg)

setup:
	install -d "$(INSTALL_ROOT)/usr/share/qt4/mkspecs/features" && echo "LIBRARY_BASE_DIR = /home/marcin/meecolay/libs/maemo-af-libthumbnailer" > "$(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/thumbnailer_install.prf"

install:
	make setup

sub-src-check_ordered: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
sub-tests-check_ordered: tests/$(MAKEFILE) sub-src-check_ordered 
	cd tests/ && $(MAKE) check
check: install sub-src-check_ordered sub-tests-check_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install_htmldocs_install: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/ 
	-$(INSTALL_DIR) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/doc/html $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/


uninstall_htmldocs_install:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/html
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/ 


install: install_subtargets install_htmldocs_install  FORCE

uninstall: uninstall_htmldocs_install  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: libthumbnailer.so.0.1.20~unreleased
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle2armel/usr/include/QtCore -I/targets/fremantle2armel/usr/include/QtGui -I/targets/fremantle2armel/usr/include/QtDBus -I/targets/fremantle2armel/usr/include -I. -I.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared -Wl,-soname,libthumbnailer.so.0
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = echo
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = thumbnailer_p.cpp \
		mediaartinfo_p.cpp \
		mediaartrequester_p.cpp \
		dbus/dbus_types.cpp \
		thumbnailer_generic.cpp \
		tumbler_cache.cpp \
		albumart_requester.cpp \
		dbus-services.cpp \
		ini_fini.cpp .moc/moc_thumbnailer.cpp \
		.moc/moc_mediaartrequester.cpp \
		.moc/moc_thumbnailer_p.cpp \
		.moc/moc_mediaartrequester_p.cpp \
		.moc/moc_thumbnailer_generic.cpp \
		.moc/moc_tumbler_cache.cpp \
		.moc/moc_albumart_requester.cpp \
		.moc/moc_dbus-services.cpp
OBJECTS       = .obj/thumbnailer_p.o \
		.obj/mediaartinfo_p.o \
		.obj/mediaartrequester_p.o \
		.obj/dbus_types.o \
		.obj/thumbnailer_generic.o \
		.obj/tumbler_cache.o \
		.obj/albumart_requester.o \
		.obj/dbus-services.o \
		.obj/ini_fini.o \
		.obj/moc_thumbnailer.o \
		.obj/moc_mediaartrequester.o \
		.obj/moc_thumbnailer_p.o \
		.obj/moc_mediaartrequester_p.o \
		.obj/moc_thumbnailer_generic.o \
		.obj/moc_tumbler_cache.o \
		.obj/moc_albumart_requester.o \
		.obj/moc_dbus-services.o
DIST          = /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../shared.pri \
		base.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dll.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/shared.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = thumbnailer
DESTDIR       = ../lib/
TARGET        = libthumbnailer.so.0.1.20~unreleased
TARGETA       = ../lib/libthumbnailer.a
TARGETD       = libthumbnailer.so.0.1.20~unreleased
TARGET0       = libthumbnailer.so
TARGET1       = libthumbnailer.so.0
TARGET2       = libthumbnailer.so.0.1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(DEL_FILE) ../lib/$(TARGET0)
	-$(DEL_FILE) ../lib/$(TARGET1)
	-$(DEL_FILE) ../lib/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../lib/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: src.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../shared.pri \
		base.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dll.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/shared.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) PREFIX=/usr -o Makefile src.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
../shared.pri:
base.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dll.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/shared.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/thumbnailer0.1.20~unreleased || $(MKDIR) .obj/thumbnailer0.1.20~unreleased 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/thumbnailer0.1.20~unreleased/ && $(COPY_FILE) --parents include/thumbnailer.h include/mediaartinfo.h include/mediaartrequester.h thumbnailer_p.h mediaartrequester_p.h dbus/dbus_types.h dbus/thumbnailer_generic.h dbus/tumbler_cache.h dbus/albumart_requester.h dbus-services.h .obj/thumbnailer0.1.20~unreleased/ && $(COPY_FILE) --parents thumbnailer_p.cpp mediaartinfo_p.cpp mediaartrequester_p.cpp dbus/dbus_types.cpp thumbnailer_generic.cpp tumbler_cache.cpp albumart_requester.cpp dbus-services.cpp ini_fini.cpp .obj/thumbnailer0.1.20~unreleased/ && (cd `dirname .obj/thumbnailer0.1.20~unreleased` && $(TAR) thumbnailer0.1.20~unreleased.tar thumbnailer0.1.20~unreleased && $(COMPRESS) thumbnailer0.1.20~unreleased.tar) && $(MOVE) `dirname .obj/thumbnailer0.1.20~unreleased`/thumbnailer0.1.20~unreleased.tar.gz . && $(DEL_FILE) -r .obj/thumbnailer0.1.20~unreleased


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) dbus/thumbnailer_generic.h dbus/tumbler_cache.h dbus/albumart_requester.h thumbnailer_generic.cpp tumbler_cache.cpp albumart_requester.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../lib/$(TARGET) 
	-$(DEL_FILE) ../lib/$(TARGET0) ../lib/$(TARGET1) ../lib/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


dbus/thumbnailer_generic.h: dbus/tumbler-service-dbus.xml
	qdbusxml2cpp -c ThumbnailerGenericProxy -p dbus/thumbnailer_generic.h:thumbnailer_generic.cpp -i dbus_types.h dbus/tumbler-service-dbus.xml org.freedesktop.thumbnails.Thumbnailer1

dbus/tumbler_cache.h: dbus/tumbler-cache-service-dbus.xml
	qdbusxml2cpp -c ThumbnailerGenericCacheProxy -p dbus/tumbler_cache.h:tumbler_cache.cpp -i dbus_types.h dbus/tumbler-cache-service-dbus.xml org.freedesktop.thumbnails.Cache1

dbus/albumart_requester.h: dbus/albumart_requester.xml
	qdbusxml2cpp -c ComNokiaAlbumArtRequester -p dbus/albumart_requester.h:albumart_requester.cpp -i dbus_types.h dbus/albumart_requester.xml com.nokia.albumart.Requester

check:
	echo No check here

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

=== tests/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  tests.pro
# Template: subdirs
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile tests.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-thumbnailer-unit-tests \
		sub-thumbnailer-func-tests

thumbnailer-unit-tests/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) thumbnailer-unit-tests/ || $(MKDIR) thumbnailer-unit-tests/ 
	cd thumbnailer-unit-tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/thumbnailer-unit-tests/thumbnailer-unit-tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-thumbnailer-unit-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) thumbnailer-unit-tests/ || $(MKDIR) thumbnailer-unit-tests/ 
	cd thumbnailer-unit-tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/thumbnailer-unit-tests/thumbnailer-unit-tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-thumbnailer-unit-tests: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE)
sub-thumbnailer-unit-tests-make_default: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) 
sub-thumbnailer-unit-tests-make_first: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) first
sub-thumbnailer-unit-tests-all: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) all
sub-thumbnailer-unit-tests-clean: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-thumbnailer-unit-tests-distclean: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-thumbnailer-unit-tests-install_subtargets: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) install
sub-thumbnailer-unit-tests-uninstall_subtargets: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) uninstall
thumbnailer-func-tests/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) thumbnailer-func-tests/ || $(MKDIR) thumbnailer-func-tests/ 
	cd thumbnailer-func-tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/thumbnailer-func-tests/thumbnailer-func-tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-thumbnailer-func-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) thumbnailer-func-tests/ || $(MKDIR) thumbnailer-func-tests/ 
	cd thumbnailer-func-tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/thumbnailer-func-tests/thumbnailer-func-tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-thumbnailer-func-tests: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE)
sub-thumbnailer-func-tests-make_default: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) 
sub-thumbnailer-func-tests-make_first: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) first
sub-thumbnailer-func-tests-all: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) all
sub-thumbnailer-func-tests-clean: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-thumbnailer-func-tests-distclean: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-thumbnailer-func-tests-install_subtargets: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) install
sub-thumbnailer-func-tests-uninstall_subtargets: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: tests.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) PREFIX=/usr -o Makefile tests.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile tests.pro

qmake_all: sub-thumbnailer-unit-tests-qmake_all sub-thumbnailer-func-tests-qmake_all FORCE

make_default: sub-thumbnailer-unit-tests-make_default sub-thumbnailer-func-tests-make_default FORCE
make_first: sub-thumbnailer-unit-tests-make_first sub-thumbnailer-func-tests-make_first FORCE
all: sub-thumbnailer-unit-tests-all sub-thumbnailer-func-tests-all FORCE
clean: sub-thumbnailer-unit-tests-clean sub-thumbnailer-func-tests-clean FORCE
distclean: sub-thumbnailer-unit-tests-distclean sub-thumbnailer-func-tests-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-thumbnailer-unit-tests-install_subtargets sub-thumbnailer-func-tests-install_subtargets FORCE
uninstall_subtargets: sub-thumbnailer-unit-tests-uninstall_subtargets sub-thumbnailer-func-tests-uninstall_subtargets FORCE

sub-thumbnailer-unit-tests-check: thumbnailer-unit-tests/$(MAKEFILE)
	cd thumbnailer-unit-tests/ && $(MAKE) check
sub-thumbnailer-func-tests-check: thumbnailer-func-tests/$(MAKEFILE)
	cd thumbnailer-func-tests/ && $(MAKE) check
check: sub-thumbnailer-unit-tests-check sub-thumbnailer-func-tests-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== tests/thumbnailer-func-tests/Makefile ===
#############################################################################
# Makefile for building: thumbnailertest-func
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  thumbnailer-func-tests.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile thumbnailer-func-tests.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DTESTING_CODE -DDATA_PREFIX=\"/usr/share/libthumbnailer0-func-tests/\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle2armel/usr/include/QtCore -I/targets/fremantle2armel/usr/include/QtGui -I/targets/fremantle2armel/usr/include -I/targets/fremantle2armel/usr/include/QtDBus -I/targets/fremantle2armel/usr/include/QtTest -I../../src/.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../src/.obj/

####### Files

SOURCES       = thumbtest-func.cpp \
		../../src/albumart_requester.cpp \
		../../src/dbus-services.cpp \
		../../src/ini_fini.cpp \
		../../src/mediaartinfo_p.cpp \
		../../src/mediaartrequester_p.cpp \
		../../src/thumbnailer_generic.cpp \
		../../src/thumbnailer_p.cpp \
		../../src/tumbler_cache.cpp \
		../../src/dbus/dbus_types.cpp ../../src/.moc/moc_thumbtest-func.cpp \
		../../src/.moc/moc_dbus-services.cpp \
		../../src/.moc/moc_mediaartrequester_p.cpp \
		../../src/.moc/moc_thumbnailer_p.cpp \
		../../src/.moc/moc_mediaartrequester.cpp \
		../../src/.moc/moc_thumbnailer.cpp \
		../../src/.moc/moc_albumart_requester.cpp \
		../../src/.moc/moc_thumbnailer_generic.cpp \
		../../src/.moc/moc_tumbler_cache.cpp
OBJECTS       = ../../src/.obj/thumbtest-func.o \
		../../src/.obj/albumart_requester.o \
		../../src/.obj/dbus-services.o \
		../../src/.obj/ini_fini.o \
		../../src/.obj/mediaartinfo_p.o \
		../../src/.obj/mediaartrequester_p.o \
		../../src/.obj/thumbnailer_generic.o \
		../../src/.obj/thumbnailer_p.o \
		../../src/.obj/tumbler_cache.o \
		../../src/.obj/dbus_types.o \
		../../src/.obj/moc_thumbtest-func.o \
		../../src/.obj/moc_dbus-services.o \
		../../src/.obj/moc_mediaartrequester_p.o \
		../../src/.obj/moc_thumbnailer_p.o \
		../../src/.obj/moc_mediaartrequester.o \
		../../src/.obj/moc_thumbnailer.o \
		../../src/.obj/moc_albumart_requester.o \
		../../src/.obj/moc_thumbnailer_generic.o \
		../../src/.obj/moc_tumbler_cache.o
DIST          = /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../shared.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		thumbnailer-func-tests.pro
QMAKE_TARGET  = thumbnailertest-func
DESTDIR       = 
TARGET        = thumbnailertest-func

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: thumbnailer-func-tests.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../shared.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) PREFIX=/usr -o Makefile thumbnailer-func-tests.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
../../shared.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile thumbnailer-func-tests.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../src/.obj/thumbnailertest-func0.1.20~unreleased || $(MKDIR) ../../src/.obj/thumbnailertest-func0.1.20~unreleased 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../src/.obj/thumbnailertest-func0.1.20~unreleased/ && $(COPY_FILE) --parents thumbtest-func.h ../../src/dbus-services.h ../../src/mediaartrequester_p.h ../../src/thumbnailer_p.h ../../src/include/MediaArtInfo ../../src/include/mediaartinfo.h ../../src/include/MediaArtRequester ../../src/include/mediaartrequester.h ../../src/include/Thumbnailer ../../src/include/thumbnailer.h ../../src/dbus/albumart_requester.h ../../src/dbus/albumart_requester.xml ../../src/dbus/dbus_types.cpp ../../src/dbus/dbus_types.h ../../src/dbus/thumbnailer_generic.h ../../src/dbus/tumbler-cache-service-dbus.xml ../../src/dbus/tumbler-service-dbus.xml ../../src/dbus/tumbler_cache.h ../../src/.obj/thumbnailertest-func0.1.20~unreleased/ && $(COPY_FILE) --parents thumbtest-func.cpp ../../src/albumart_requester.cpp ../../src/dbus-services.cpp ../../src/ini_fini.cpp ../../src/mediaartinfo_p.cpp ../../src/mediaartrequester_p.cpp ../../src/thumbnailer_generic.cpp ../../src/thumbnailer_p.cpp ../../src/tumbler_cache.cpp ../../src/dbus/dbus_types.cpp ../../src/.obj/thumbnailertest-func0.1.20~unreleased/ && (cd `dirname ../../src/.obj/thumbnailertest-func0.1.20~unreleased` && $(TAR) thumbnailertest-func0.1.20~unreleased.tar thumbnailertest-func0.1.20~unreleased && $(COMPRESS) thumbnailertest-func0.1.20~unreleased.tar) && $(MOVE) `dirname ../../src/.obj/thumbnailertest-func0.1.20~unreleased`/thumbnailertest-func0.1.20~unreleased.tar.gz . && $(DEL_FILE) -r ../../src/.obj/thumbnailertest-func0.1.20~unreleased


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: thumbnailertest-func
	./thumbnailertest-func

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

=== tests/thumbnailer-unit-tests/Makefile ===
#############################################################################
# Makefile for building: thumbnailertest-unit
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  thumbnailer-unit-tests.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile thumbnailer-unit-tests.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DTESTING_CODE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle2armel/usr/include/QtCore -I/targets/fremantle2armel/usr/include/QtGui -I/targets/fremantle2armel/usr/include -I/targets/fremantle2armel/usr/include/QtDBus -I/targets/fremantle2armel/usr/include/QtTest -I../../src/.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../src/.obj/

####### Files

SOURCES       = thumbtest.cpp \
		../../src/albumart_requester.cpp \
		../../src/dbus-services.cpp \
		../../src/ini_fini.cpp \
		../../src/mediaartinfo_p.cpp \
		../../src/mediaartrequester_p.cpp \
		../../src/thumbnailer_generic.cpp \
		../../src/thumbnailer_p.cpp \
		../../src/tumbler_cache.cpp \
		../../src/dbus/dbus_types.cpp ../../src/.moc/moc_thumbtest.cpp \
		../../src/.moc/moc_dbus-services.cpp \
		../../src/.moc/moc_mediaartrequester_p.cpp \
		../../src/.moc/moc_thumbnailer_p.cpp \
		../../src/.moc/moc_mediaartrequester.cpp \
		../../src/.moc/moc_thumbnailer.cpp \
		../../src/.moc/moc_albumart_requester.cpp \
		../../src/.moc/moc_thumbnailer_generic.cpp \
		../../src/.moc/moc_tumbler_cache.cpp
OBJECTS       = ../../src/.obj/thumbtest.o \
		../../src/.obj/albumart_requester.o \
		../../src/.obj/dbus-services.o \
		../../src/.obj/ini_fini.o \
		../../src/.obj/mediaartinfo_p.o \
		../../src/.obj/mediaartrequester_p.o \
		../../src/.obj/thumbnailer_generic.o \
		../../src/.obj/thumbnailer_p.o \
		../../src/.obj/tumbler_cache.o \
		../../src/.obj/dbus_types.o \
		../../src/.obj/moc_thumbtest.o \
		../../src/.obj/moc_dbus-services.o \
		../../src/.obj/moc_mediaartrequester_p.o \
		../../src/.obj/moc_thumbnailer_p.o \
		../../src/.obj/moc_mediaartrequester.o \
		../../src/.obj/moc_thumbnailer.o \
		../../src/.obj/moc_albumart_requester.o \
		../../src/.obj/moc_thumbnailer_generic.o \
		../../src/.obj/moc_tumbler_cache.o
DIST          = /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../shared.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		thumbnailer-unit-tests.pro
QMAKE_TARGET  = thumbnailertest-unit
DESTDIR       = 
TARGET        = thumbnailertest-unit

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: thumbnailer-unit-tests.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../shared.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) PREFIX=/usr -o Makefile thumbnailer-unit-tests.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
../../shared.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile thumbnailer-unit-tests.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../src/.obj/thumbnailertest-unit0.1.20~unreleased || $(MKDIR) ../../src/.obj/thumbnailertest-unit0.1.20~unreleased 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../src/.obj/thumbnailertest-unit0.1.20~unreleased/ && $(COPY_FILE) --parents thumbtest.h ../../src/dbus-services.h ../../src/mediaartrequester_p.h ../../src/thumbnailer_p.h ../../src/include/mediaartinfo.h ../../src/include/mediaartrequester.h ../../src/include/thumbnailer.h ../../src/dbus/albumart_requester.h ../../src/dbus/dbus_types.h ../../src/dbus/thumbnailer_generic.h ../../src/dbus/tumbler_cache.h ../../src/.obj/thumbnailertest-unit0.1.20~unreleased/ && $(COPY_FILE) --parents thumbtest.cpp ../../src/albumart_requester.cpp ../../src/dbus-services.cpp ../../src/ini_fini.cpp ../../src/mediaartinfo_p.cpp ../../src/mediaartrequester_p.cpp ../../src/thumbnailer_generic.cpp ../../src/thumbnailer_p.cpp ../../src/tumbler_cache.cpp ../../src/dbus/dbus_types.cpp ../../src/.obj/thumbnailertest-unit0.1.20~unreleased/ && (cd `dirname ../../src/.obj/thumbnailertest-unit0.1.20~unreleased` && $(TAR) thumbnailertest-unit0.1.20~unreleased.tar thumbnailertest-unit0.1.20~unreleased && $(COMPRESS) thumbnailertest-unit0.1.20~unreleased.tar) && $(MOVE) `dirname ../../src/.obj/thumbnailertest-unit0.1.20~unreleased`/thumbnailertest-unit0.1.20~unreleased.tar.gz . && $(DEL_FILE) -r ../../src/.obj/thumbnailertest-unit0.1.20~unreleased


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: thumbnailertest-unit install
	./thumbnailertest-unit

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../src/.moc/moc_thumbtest.cpp ../../src/.moc/moc_dbus-services.cpp ../../src/.moc/moc_mediaartrequester_p.cpp ../../src/.moc/moc_thumbnailer_p.cpp ../../src/.moc/moc_mediaartrequester.cpp ../../src/.moc/moc_thumbnailer.cpp ../../src/.moc/moc_albumart_requester.cpp ../../src/.moc/moc_thumbnailer_generic.cpp ../../src/.moc/moc_tumbler_cache.cpp
compiler_moc_header_clean:

=== examples/thumbnailer-demo/debian/changelog ===
thumbnailer-demo (0.2.0) unstable; urgency=low

  * alligning to the new version of API

 -- Dariusz Wiechecki <dariusz.wiechecki@comarch.com>  Fri, 23 Apr 2010 08:55:00 +0200

thumbnailer-demo (0.1.1) unstable; urgency=low

  * Extending the demo for all the signals.
  * Changing the name of the package

 -- Dariusz Wiechecki <ext-dariusz.2.wiechecki@nokia.com>  Thu, 26 Nov 2009 18:00:00 +0200

thumbnailer-demo (0.1.0) unstable; urgency=low

  * Initial release

 -- Dariusz Wiechecki <ext-dariusz.2.wiechecki@nokia.com>  Wed, 29 Oct 2009 14:17:43 +0200

=== debian/control ===
Source: libthumbnailer
Section: libs
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), doxygen, maemo-optify
Build-Recommends: testhelper
Vcs-Git: git://gitorious.org/maemo-af/libthumbnailer.git
Vcs-Browser: http://maemo.gitorious.org/maemo-af/libthumbnailer
Standards-Version: 3.7.3

Package: libthumbnailer-dev
Section: libdevel
Architecture: any
Depends: libthumbnailer0 (= ${binary:Version}), libqt4-dev (>= 4.6), libqt4-dbus (>= 4.6)
Description: Qt bindings for freedesktop.org thumbnails, development files

Package: libthumbnailer0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: tumbler
Suggests: maemo-video-thumbnailer
Description: Qt bindings for freedesktop.org thumbnails

Package: libthumbnailer0-dbg
Section: libs
Architecture: any
Depends: libthumbnailer0 (= ${binary:Version})
Description: Qt bindings for freedesktop.org thumbnails, debug symbols

Package: libthumbnailer0-doc
Section: doc
Architecture: any
Depends: libthumbnailer-dev, debhelper(>= 5)
Description: Qt bindings for freedesktop.org thumbnails, documentation

Package: libthumbnailer0-tests
Section: libs
Architecture: any
Depends: libthumbnailer0 (= ${binary:Version}), ci-testing
XB-Maemo-CI-Packages: libthumbnailer0, tumbler
XB-Maemo-CI-Stage: fast, staging, acceptance
Description: Qt bindings for freedesktop.org thumbnails - test package

Package: libthumbnailer0-func-tests
Section: libs
Architecture: any
Depends: libthumbnailer0 (= ${binary:Version})
Description: Qt bindings for freedesktop.org thumbnails - functional tests

=== examples/thumbnailer-demo/debian/control ===
Source: thumbnailer-demo
Section: libs
Priority: extra
Maintainer: Dariusz Wiechecki <dariusz.wiechecki@comarch.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), doxygen
Standards-Version: 3.7.3


Package: thumbnailer-demo
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Qt bindings for freedesktop.org thumbnails - test package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd ./src && ./generateproxies
	cd ./tests/thumbnailer-unit-tests && touch ./tests.xml
	qmake -recursive PREFIX=/usr $(QMAKEFLAGS)
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	make all
	make doc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	make clean || true
	rm -f lib/*
	rm -rf .obj
	cd ./src && ./cleanproxies
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp

	INSTALL_ROOT=$(CURDIR)/debian/tmp $(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testroot
	dh_installchangelogs
	dh_installdocs

#	dh_installexamples
	dh_install --sourcedir=$(CURDIR)/debian/tmp
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo

	dh_link
	dh_strip --dbg-package="libthumbnailer0-dbg"
	dh_compress
	dh_fixperms

	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== examples/thumbnailer-demo/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake install_prefix=/usr
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir
	make CFLAGS="$(CFLAGS)" all
	#make doc
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	make clean || true
	rm -f lib/*
	rm -rf .obj
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp

	INSTALL_ROOT=$(CURDIR)/debian/tmp $(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testroot
	dh_installchangelogs 
	dh_installdocs

#	dh_installexamples
	dh_install --sourcedir=$(CURDIR)/debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo

	dh_link
	dh_compress
	dh_fixperms

	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_clean

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
